package com.bocloud.cmp.model.hmc;

public class HmdViosPhysicalEthernetAdapterModel extends HmdGenericModel {
    private String name; // 名称
    private String deviceType; // 适配器类型
    private String physicalLocation; // 物理位置
    private String uniqueDeviceId; // 设备唯一id
    private String ipInterfaceName; // 网络接口名称
    private String ipInterfaceStatus; // 网络接口状态
    private String ipAddress; // IP地址
    private String subnetMask; // 子网掩码
    private HmdPartitionModel vios; // 所属vios

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }

    public String getPhysicalLocation() {
        return physicalLocation;
    }

    public void setPhysicalLocation(String physicalLocation) {
        this.physicalLocation = physicalLocation;
    }

    public String getUniqueDeviceId() {
        return uniqueDeviceId;
    }

    public void setUniqueDeviceId(String uniqueDeviceId) {
        this.uniqueDeviceId = uniqueDeviceId;
    }

    public String getIpInterfaceName() {
        return ipInterfaceName;
    }

    public void setIpInterfaceName(String ipInterfaceName) {
        this.ipInterfaceName = ipInterfaceName;
    }

    public String getIpInterfaceStatus() {
        return ipInterfaceStatus;
    }

    public void setIpInterfaceStatus(String ipInterfaceStatus) {
        this.ipInterfaceStatus = ipInterfaceStatus;
    }

    public String getIpAddress() {
        return ipAddress;
    }

    public void setIpAddress(String ipAddress) {
        this.ipAddress = ipAddress;
    }

    public String getSubnetMask() {
        return subnetMask;
    }

    public void setSubnetMask(String subnetMask) {
        this.subnetMask = subnetMask;
    }

    public HmdPartitionModel getVios() {
        return vios;
    }

    public void setVios(HmdPartitionModel vios) {
        this.vios = vios;
    }

}
